geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: FYI: Planning to upgrade to Derby 10.1.3 for the Geronimo 1.1.1 release (GERONIMO-2155)
Date Fri, 07 Jul 2006 13:25:50 GMT

On Jul 6, 2006, at 11:04 PM, John Sisson wrote:

> In the "Derby library does not have line number debug information"  
> mail thread [1] a few weeks ago I asked whether people wanted to  
> upgrade to the Derby 10.1.3 maintenance release [2].
>
> David Jencks was the only person who mentioned it should go in the  
> 1.1.1 release but did not hear any objections from others.  If  
> anyone disagrees with this plan, please speak up before I start  
> looking into this next week.
>
> John
>
> [1] http://www.mail-archive.com/dev@geronimo.apache.org/msg25051.html
> [2] http://mail-archives.apache.org/mod_mbox/db-derby-user/ 
> 200607.mbox/% 
> 3c54ac72d70607051635r10e5e113u38b7993d6d677fc8@mail.gmail.com%3e

IMO, it fixes/improves our ability to diagnose derby-related  
problems. So, sounds good to me. Upgrading such a core dependency  
does imply that we must run all compliance tests on 1.1.1. Something  
I think we all expect to do anyway...

I don't anticipate any problems. However, if we see many problems  
related to this change, we may want to consider reverting... I'd  
rather see an early 1.1.1 rather than a delayed 1.1.1 with derby line  
numbers...

--kevan 
  

Mime
View raw message